Page MenuHomePhabricator

Provide a special page to list all available badges
Closed, ResolvedPublic

Description

There should be a special page to list all available badges in repository.
This page will show the item ID, label, and the associated icon. Maybe also description and aliases are useful.

With T65486 was created an API.

Event Timeline

Beta16 created this task.Oct 2 2015, 9:49 AM
Beta16 updated the task description. (Show Details)
Beta16 raised the priority of this task from to Needs Triage.
Beta16 added a subscriber: Beta16.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2015, 9:49 AM
Beta16 set Security to None.Nov 25 2015, 3:42 PM
Beta16 added a subscriber: Bene.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 25 2015, 3:42 PM
Lydia_Pintscher triaged this task as Low priority.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 19 2016, 1:37 PM
Victorbarbu added a subscriber: Victorbarbu.

Not a mentor, but I would like to do this if that's ok!

The API in its current shape is inconsistent in my opinion, since one query would not be enough for anything else than getting the Item ID (not label, description etc.)

What do you reccomend? I would either extend the API or make the special page fetch the data server-side, not via AJAX.

Please make the special page fetch the data server-side (no via AJAX) :)

Change 324216 had a related patch set uploaded (by Victorbarbu):
Provide special page with list of all available badges

https://gerrit.wikimedia.org/r/324216

Is there anyone that could review my patch, please?

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 16 2017, 9:29 AM
Ladsgroup moved this task from Done to Review on the Wikidata-Former-Sprint-Board board.
Ladsgroup moved this task from Incoming to Blocked on others on the User-Ladsgroup board.

Change 324216 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Provide special page with list of all available badges

https://gerrit.wikimedia.org/r/324216

Ladsgroup moved this task from Blocked on others to Done on the User-Ladsgroup board.
Ladsgroup closed this task as Resolved.
Ladsgroup removed a project: Patch-For-Review.

Change 349213 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Refactor and fix HTML injection in SpecialAvailableBadges

https://gerrit.wikimedia.org/r/349213

thiemowmde reopened this task as Open.Apr 20 2017, 1:22 PM
thiemowmde moved this task from Done to Review on the Wikidata-Former-Sprint-Board board.
Ladsgroup reassigned this task from Ladsgroup to thiemowmde.Apr 20 2017, 4:01 PM
Ladsgroup removed a project: User-Ladsgroup.
Ladsgroup added a subscriber: Ladsgroup.

Change 349213 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Refactor and fix HTML injection in SpecialAvailableBadges

https://gerrit.wikimedia.org/r/349213

Ladsgroup closed this task as Resolved.